Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 561314 - net-analyzer/sslsniff - ???
Summary: net-analyzer/sslsniff - ???
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Robin Johnson
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks:
 
Reported: 2015-09-24 01:07 UTC by miro.rovis
Modified: 2019-07-14 10:49 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (file_561314.txt,17.65 KB, text/plain)
2015-09-24 01:07 UTC, miro.rovis
Details
Really build.log (file_561314.txt,18.46 KB, text/plain)
2015-09-24 01:12 UTC, miro.rovis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description miro.rovis 2015-09-24 01:07:59 UTC
Created attachment 412684 [details]
build.log

...
                 from certificate/AuthorityCertificateManager.cpp:20:
certificate/Certificate.hpp: In member function ‘std::string Certificate::parseNameFromOCSPUrl(std::string&)’:
certificate/Certificate.hpp:60:37: warning: overflow in implicit constant conversion [-Woverflow]
     else              forwardSlash  = std::string::npos;
                                     ^
x86_64-pc-linux-gnu-g++ -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"sslsniff\" -DVERSION=\"0.8\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -I.    -ggdb -march=native -O2 -pipe -c -o CertificateManager.o `test -f 'certificate/CertificateManager.cpp' || echo './'`certificate/CertificateManager.cpp
Makefile:425: recipe for target 'SSLConnectionManager.o' failed
make: *** [SSLConnectionManager.o] Error 1
...
Comment 1 miro.rovis 2015-09-24 01:12:54 UTC
Created attachment 412686 [details]
Really build.log
Comment 2 miro.rovis 2015-09-24 01:23:38 UTC
Sorry about the mess. It's hard to do it right with Dillo, at this time.   ... 

It's just replace the 
 with newlines, and the attachments are fine.   ...

Thank you!  ...

Comment 3 Larry the Git Cow gentoo-dev 2019-06-15 17:09:39 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c0396559c3a7df42f8081c15a4b3804fcc4aa990

commit c0396559c3a7df42f8081c15a4b3804fcc4aa990
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2019-06-15 17:09:11 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2019-06-15 17:09:11 +0000

    package.mask: Last rite net-analyzer/sslsniff
    
    Bug: https://bugs.gentoo.org/561314
    Bug: https://bugs.gentoo.org/594894
    Bug: https://bugs.gentoo.org/672090
    Bug: https://bugs.gentoo.org/674606
    Signed-off-by: David Seifert <soap@gentoo.org>

 profiles/package.mask | 7 +++++++
 1 file changed, 7 insertions(+)
Comment 4 Larry the Git Cow gentoo-dev 2019-07-14 10:49:10 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=549e4fa2f9bad09d4a7975995f8d2d20bc11cfd4

commit 549e4fa2f9bad09d4a7975995f8d2d20bc11cfd4
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2019-07-14 10:48:40 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2019-07-14 10:48:40 +0000

    net-analyzer/sslsniff: Remove from tree
    
    Closes: https://bugs.gentoo.org/561314
    Closes: https://bugs.gentoo.org/594894
    Closes: https://bugs.gentoo.org/672090
    Closes: https://bugs.gentoo.org/674606
    Package-Manager: Portage-2.3.68, Repoman-2.3.16
    Signed-off-by: David Seifert <soap@gentoo.org>

 net-analyzer/sslsniff/Manifest                     |  1 -
 .../sslsniff/files/sslsniff-0.6-asneeded.patch     | 10 ----
 .../files/sslsniff-0.8-error-redefinition.patch    | 50 --------------------
 ...-compatibility-with-boost-1.47-and-higher.patch | 53 ----------------------
 .../sslsniff/files/sslsniff-0.8-underlinking.patch | 21 ---------
 net-analyzer/sslsniff/metadata.xml                 | 14 ------
 net-analyzer/sslsniff/sslsniff-0.8-r2.ebuild       | 49 --------------------
 profiles/package.mask                              |  7 ---
 8 files changed, 205 deletions(-)